<?php

use App\Http\Controllers\CountryController;
use Illuminate\Support\Facades\Route;

Route::get('/country',         [CountryController::class, 'index'])->middleware('permission:config.country,view');
Route::post('/country',        [CountryController::class, 'store'])->middleware('permission:config.country,add');
Route::get('/country/{id}',    [CountryController::class, 'show'])->middleware('permission:config.country,view');
Route::put('/country/{id}',    [CountryController::class, 'update'])->middleware('permission:config.country,edit');
Route::delete('/country/{id}', [CountryController::class, 'destroy'])->middleware('permission:config.country,delete');
